%define	module	numexpr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		python-%{module}	
Version:	2.5
Release:	%mkrel 2
Source0:	https://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.xz
License:	MIT
Group:		Development/Python
Url:		https://github.com/pydata/numexpr
BuildRequires:	pkgconfig(python)
BuildRequires:	python-numpy-devel >= 1.6
BuildRequires:	pkgconfig(python3)
BuildRequires:  python-setuptools
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-setuptools
Requires:	python-numpy >= 1.6

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%package -n python3-%{module}
Summary:	Fast numerical array expression evaluator for Python3 and NumPy
Group:		Development/Python
Requires:	python3-numpy

%description -n python3-%{module}
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%setup -qn %{module}-%{version}
sed -i "s|/usr/bin/env |/usr/bin/|" %{module}/cpuinfo.py

%build
%py3_build
%py2_build

%install
%py3_install
%py2_install


%files
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst LICENSE.txt
%dir %{python_sitearch}/%{module}
%{python2_sitearch}/%{module}/*
%{python2_sitearch}/%{module}-*.egg-info 

%files -n python3-%{module}
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst LICENSE.txt
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*
%{python3_sitearch}/%{module}-*.egg-info



%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2.5-2pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 2.5-1pclos2017
- new version
- new gcc
